import DataType from 'DataTypes/DataType';
import Reporter from 'Reporter/Reporter';
import TimeReal from 'DataTypes/TimeReal';
import VehicleRegistration from 'DataTypes/VehicleRegistration';
import FullCardNumber from 'DataTypes/FullCardNumber';
export default class VuCalibrationRecord extends DataType {
    static BLOCK_TYPE: number;
    calibrationPurpose: number;
    workshopName: string;
    workshopAddress: string;
    workshopCardNumber: FullCardNumber;
    workshopCardExpiryDate: TimeReal;
    vehicleIdentificationNumber: string;
    vehicleRegistrationIdentification: VehicleRegistration;
    wVehicleCharacteristicConstant: number;
    kConstantOfRecordingEquipment: number;
    lTyreCircumference: number;
    tyreSize: string;
    authorisedSpeed: number;
    oldOdometerValue: number;
    newOdometerValue: number;
    oldTimeValue: TimeReal;
    newTimeValue: TimeReal;
    nextCalibrationDate: TimeReal;
    static staticSize: number;
    constructor(data: ArrayBuffer);
    className(): string;
    title(): string;
    size(): number;
    toString(): string;
    printOn(report: Reporter): void;
}
