import Reporter from 'Reporter/Reporter';
import Block from 'DataTypes/Block';
import DataType from 'DataTypes/DataType';
import Subblocks from 'DataTypes/Subblocks';
import QString from 'utils/QString';
declare class JsonEntry {
    title: string;
    className: string;
    blocks: JsonEntry[];
    constructor(title?: string, className?: string);
    static build(title?: string, className?: string): JsonEntry;
}
export default class JsonReporter extends Reporter {
    jsonCollected: JsonEntry;
    nestPath: JsonEntry[];
    currentEntry: JsonEntry;
    constructor();
    setTitle(newTitle: string): void;
    normalizeJsonReport(): void;
    renderReport(): string;
    tagValuePair(tag: string | QString, value: string): void;
    writeArray<T extends DataType>(ray: Subblocks<T>, title?: string, defaultShown?: boolean): void;
    writeBlock(value: Block, tag?: string): void;
    subBlock(value: Block, tag: string): void;
    allowSvg(): boolean;
    arrayStart(count: number, title: string, defaultShown: boolean): void;
    arrayEnd(count: number): void;
}
export {};
