import RawData from 'DataTypes/RawData';
import DataType from 'DataTypes/DataType';
import Subblocks from 'DataTypes/Subblocks';
export default class DataReader {
    static readUint8(data: ArrayBuffer, pos: number): number;
    static readUint16(data: ArrayBuffer, pos: number): number;
    static readUint24(data: ArrayBuffer, pos: number): number;
    static readUint32(data: ArrayBuffer, pos: number): number;
    static readBCD16(data: ArrayBuffer, pos: number): number;
    static readRawData(data: ArrayBuffer, pos: number, length: number): RawData;
    static readString(data: ArrayBuffer, pos: number, length: number): any;
    static readCodePageString(data: ArrayBuffer, pos: number, length: number): any;
    static isISO8859CodePageNumber(number: number): boolean;
    static checkString(str: Uint8Array): boolean;
    static readSubblocksByCount<T extends DataType>(blockType: {
        build(...args: any[]): T;
    }, data: ArrayBuffer, pos: number, count: number): Subblocks<T>;
    static readSubblocksByLength<T extends DataType>(blockType: {
        name: string;
        build(...args: any[]): T;
    }, data: ArrayBuffer, pos: number, length: number): Subblocks<T>;
}
